### A free/open-source library for quantitative finance

Public Member Functions
KernelInterpolation Class Reference

Kernel interpolation between discrete points. More...

`#include <ql/math/interpolations/kernelinterpolation.hpp>`

Inheritance diagram for KernelInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 , class Kernel >
| KernelInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const Kernel &kernel)

## Detailed Description

Kernel interpolation between discrete points.

Implementation of the kernel interpolation approach, which can be found in "Foreign Exchange Risk" by Hakala, Wystup page 256.

The kernel in the implementation is kept general, although a Gaussian is considered in the cited text.

## Constructor & Destructor Documentation

KernelInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | const Kernel & | kernel
| ) |  |

Precondition:
  the values must be sorted.
  kernel needs a Real operator()(Real x) implementation